Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management
Class MBeanFeatureInfo

    java.lang.Object
      javax.management.MBeanFeatureInfo

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MBeanAttributeInfo, MBeanConstructorInfo, MBeanNotificationInfo, MBeanOperationInfo, MBeanParameterInfo

public class MBeanFeatureInfo
extends java.lang.Object
implements java.io.Serializable

Provides general information for an MBean descriptor object. The feature described can be an attribute, an operation, a parameter, or a notification. Instances of this class are immutable. Subclasses may be mutable but this is not recommended.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `description` The human-readable description of the feature.
`protected java.lang.String` | `name` The name of the feature.

Constructor Summary
`MBeanFeatureInfo(java.lang.String name, java.lang.String description)` Constructs an `MBeanFeatureInfo` object.

Method Summary
`boolean` | `equals(java.lang.Object o)` Compare this MBeanFeatureInfo to another.
`java.lang.String` | `getDescription()` Returns the human-readable description of the feature.
`java.lang.String` | `getName()` Returns the name of the feature.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

  The name of the feature. It is recommended that subclasses call `getName()` rather than reading this field, and that they not change it.

### description

    protected java.lang.String description

  The human-readable description of the feature. It is recommended that subclasses call `getDescription()` rather than reading this field, and that they not change it.

Constructor Detail

### MBeanFeatureInfo

    public MBeanFeatureInfo(java.lang.String name,
                            java.lang.String description)
                     throws java.lang.IllegalArgumentException

  Constructs an `MBeanFeatureInfo` object.

Parameters:
  `name` - The name of the feature.
  `description` - A human readable description of the feature.

Method Detail

### getName

    public java.lang.String getName()

  Returns the name of the feature.

  Returns:
    the name of the feature.

### getDescription

    public java.lang.String getDescription()

  Returns the human-readable description of the feature.

  Returns:
    the human-readable description of the feature.

### equals

    public boolean equals(java.lang.Object o)

  Compare this MBeanFeatureInfo to another.

  Parameters:
    `o` - the object to compare to.
  Returns:
    true iff `o` is an MBeanFeatureInfo such that its `getName()` and `getDescription()` values are equal (not necessarily identical) to those of this MBeanFeatureInfo.

### hashCode

    public int hashCode()

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.